<div class="form-floating mb-2">
  <Input::Select id="{{this.elementId}}-top-margin" class="{{this.type}}-top-margin" @list={{this.availableMargins}} @value={{this.topMargin}} @onChange={{this.topMarginChange}} />
  <label for="{{this.elementId}}-top-margin">{{capitalize (t "top margin")}}</label>
</div>

<div class="form-floating mb-2">
  <Input::Select id="{{this.elementId}}-bottom-margin" class="{{this.type}}-bottom-margin" @list={{this.availableMargins}} @value={{this.bottomMargin}} @onChange={{this.bottomMarginChange}} />
  <label for="{{this.elementId}}-bottom-margin">{{capitalize (t "bottom margin")}}</label>
</div>

<div class="form-floating mb-2">
  <Input::Select id="{{this.elementId}}-start-margin" class="{{this.type}}-start-margin" @list={{this.availableMargins}} @value={{this.startMargin}} @onChange={{this.startMarginChange}} />
  <label for="{{this.elementId}}-start-margin">{{capitalize (t "start margin")}}</label>
</div>

<div class="form-floating mb-2">
  <Input::Select id="{{this.elementId}}-end-margin" class="{{this.type}}-end-margin" @list={{this.availableMargins}} @value={{this.endMargin}} @onChange={{this.endMarginChange}} />
  <label for="{{this.elementId}}-end-margin">{{capitalize (t "end margin")}}</label>
</div>